Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1803355 - jrnl 2.2 not installable on fedora 30+31 due to broken dependencies
Summary: jrnl 2.2 not installable on fedora 30+31 due to broken dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jrnl
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1806864
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-15 13:01 UTC by Fabio Valentini
Modified: 2021-04-24 20:06 UTC (History)
2 users (show)

Fixed In Version: jrnl-2.8-1.fc33 jrnl-2.8-1.fc32 jrnl-2.8-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-16 14:33:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabio Valentini 2020-02-15 13:01:55 UTC
The latest update [0] introduced new / updated dependencies, and the package is no longer installable.

I don't know how this update received positive karma, because it does not even install.

How to reproduce:

$ mock -r fedora-30-x86_64 install jrnl

Error: 
 Problem: conflicting requests
  - nothing provides python3.7dist(asteval) < 0.10.0 needed by jrnl-2.2-1.fc30.noarch
  - nothing provides python3.7dist(asteval) >= 0.9.14 needed by jrnl-2.2-1.fc30.noarch
  - nothing provides python3.7dist(cryptography) >= 2.7 needed by jrnl-2.2-1.fc30.noarch
  - nothing provides python3.7dist(pytz) >= 2019.1 needed by jrnl-2.2-1.fc30.noarch
  - nothing provides python3.7dist(pyxdg) >= 0.26.0 needed by jrnl-2.2-1.fc30.noarch

[0]: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3a934e96e1

Comment 1 Fabio Valentini 2020-02-15 13:05:40 UTC
A subset of these issues is also present on fedora 31:

Error: 
 Problem: cannot install the best candidate for the job
  - nothing provides python3.7dist(asteval) < 0.10 needed by jrnl-2.2-1.fc31.noarch
  - nothing provides python3.7dist(asteval) >= 0.9.14 needed by jrnl-2.2-1.fc31.noarch
  - nothing provides python3.7dist(cryptography) >= 2.7 needed by jrnl-2.2-1.fc31.noarch

Comment 2 Dennis Schridde 2020-03-22 12:35:28 UTC
The problem persists in Fedora 32:
 Problem 1: problem with installed package jrnl-1.9.8-2.fc31.noarch                                                                                                                                                                                                              
  - jrnl-1.9.8-2.fc31.noarch does not belong to a distupgrade repository                                                                                                                                                                                                         
  - nothing provides (python3.8dist(asteval) < 0.10 with python3.8dist(asteval) >= 0.9.14) needed by jrnl-2.2-1.fc32.noarch                                                                                                                                                      
  - nothing provides (python3.8dist(keyring) < 20 with python3.8dist(keyring) >= 19) needed by jrnl-2.2-1.fc32.noarch

Comment 3 Fabian Affolter 2020-03-22 14:56:00 UTC
This depends on 1806864.

Comment 4 Dennis Schridde 2020-03-31 19:52:46 UTC
After bug #1806864 was fixed in the Fedora 32 testing repository, the only remaining issue is:
Error: 
 Problem: conflicting requests
  - nothing provides (python3.8dist(keyring) < 20 with python3.8dist(keyring) >= 19) needed by jrnl-2.2-1.fc32.noarch

Fedora 32 currently ships this version:
Available Packages
Name         : python3-keyring
Version      : 21.1.0
Release      : 1.fc32
Architecture : noarch
Size         : 74 k
Source       : python-keyring-21.1.0-1.fc32.src.rpm
Repository   : fedora

Comment 5 Ben Cotton 2020-04-30 20:18:06 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Dennis Schridde 2020-05-01 06:40:12 UTC
Please adjust version to 32, as the issue persists in Fedora 32.

Comment 7 Fedora Admin user for bugzilla script actions 2021-04-04 00:35:01 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 8 Fedora Update System 2021-04-07 15:58:27 UTC
FEDORA-2021-159b3d1b50 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-159b3d1b50

Comment 9 Fedora Update System 2021-04-07 16:05:59 UTC
FEDORA-2021-ef1f0a0d62 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ef1f0a0d62

Comment 10 Fedora Update System 2021-04-07 16:17:53 UTC
FEDORA-2021-263145dfa8 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-263145dfa8

Comment 11 Fedora Update System 2021-04-07 18:16:39 UTC
FEDORA-2021-159b3d1b50 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-159b3d1b50`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-159b3d1b50

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Admin user for bugzilla script actions 2021-04-08 00:40:01 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 13 Fedora Update System 2021-04-08 20:57:59 UTC
FEDORA-2021-ef1f0a0d62 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ef1f0a0d62`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ef1f0a0d62

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-04-08 21:26:28 UTC
FEDORA-2021-263145dfa8 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-263145dfa8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-263145dfa8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-04-16 14:33:44 UTC
FEDORA-2021-ef1f0a0d62 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-04-16 14:42:56 UTC
FEDORA-2021-263145dfa8 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-04-24 19:45:49 UTC
FEDORA-2021-159b3d1b50 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-04-24 20:06:07 UTC
FEDORA-2021-159b3d1b50 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.